Bug 473430 - latexmk -c leaves things in a bad state
latexmk -c leaves things in a bad state
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: latexmk (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 08:55 EST by Mary Ellen Foster
Modified: 2008-12-09 23:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 23:38:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The latexmk database file (4.63 KB, text/plain)
2008-11-28 08:55 EST, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2008-11-28 08:55:52 EST
Created attachment 324994 [details]
The latexmk database file

Description of problem:
If I run "latexmk -c" -- i.e., "Clean up (remove) all regeneratable files" -- the project is subsequently in a state where I can no longer build it. If I remove the .fdb_latexmk manually or with "-CA" or "-CF", then it builds fine. This used to work before I upgraded to Fedora 10, so it's a new regression.

(NB: I know now that I can use "-gg" instead of "-c" followed by make, but still, this work flow should work too)

Version-Release number of selected component (if applicable):
latexmk-4.01-1.fc10.noarch

How reproducible:
Every time

Steps to Reproduce:
1. latexmk -c
2. latexmk -pdf

  
Actual results:
Latexmk: This is Latexmk, John Collins, 24 September 2008, version: 4.01.
**** Report bugs etc to John Collins <collins at phys.psu.edu>. ****
Disappeared 'jast-naacl2009.aux' in 'bibtex jast-naacl2009'
Latexmk: applying rule 'bibtex jast-naacl2009'...
Rule bibtex jast-naacl2009: Changes:
   No-longer-existing files:
      'jast-naacl2009.aux'
   Non-existent destination files:
      'jast-naacl2009.bbl'
   Rules to apply:
      'bibtex jast-naacl2009'
------------
Run number 1 of rule 'bibtex jast-naacl2009'
------------
------------
Running 'bibtex  "jast-naacl2009"'
------------
I couldn't open file name `jast-naacl2009.aux'
Latexmk: Errors, so I did not complete making targets
Latexmk: Did not finish processing file: 'bibtex jast-naacl2009' did not make 'jast-naacl2009.bbl'
Latexmk: Use the -f option to force complete processing.


Expected results:
Successful build


Additional info:
Like I said, if I remove the .fdb_latexmk file, then things work fine again. I'll attach the database file to this bug.
Comment 1 Fedora Update System 2008-12-01 15:53:11 EST
latexmk-4.02b-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/latexmk-4.02b-1.fc10
Comment 2 Jerry James 2008-12-01 15:55:07 EST
I contacted the author, who agreed that this is a bug.  He created version 4.02b to fix it.  I have just pushed that version into Rawhide and submitted it to the F-10 testing repository.  See https://admin.fedoraproject.org/updates/latexmk-4.02b-1.fc10.
Comment 3 Fedora Update System 2008-12-02 20:27:38 EST
latexmk-4.02b-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update latexmk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10677
Comment 4 Fedora Update System 2008-12-09 23:38:03 EST
latexmk-4.02b-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.